
<!doctype html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module yahoo.search.dom.site</title>
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong><a href="yahoo.html"><font color="#ffffff">yahoo</font></a>.<a href="yahoo.search.html"><font color="#ffffff">search</font></a>.<a href="yahoo.search.dom.html"><font color="#ffffff">dom</font></a>.site</strong></big></big> (version 1.3, Wed Feb 28 16:21:14 MST 2007)</font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/home/leif/hack/pysearch/yahoo/search/dom/site.py">/home/leif/hack/pysearch/yahoo/search/dom/site.py</a></font></td></tr></table>
    <p><tt>DOM&nbsp;parser&nbsp;for&nbsp;Site&nbsp;Explorer&nbsp;results<br>
&nbsp;<br>
Implement&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parsers&nbsp;for&nbsp;the&nbsp;Yahoo&nbsp;Search&nbsp;Web&nbsp;Services&nbsp;site<br>
explorer&nbsp;APIs.&nbsp;This&nbsp;provides&nbsp;parser&nbsp;for&nbsp;the&nbsp;following&nbsp;classes:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="#PageData">PageData</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Shows&nbsp;a&nbsp;list&nbsp;of&nbsp;all&nbsp;pages&nbsp;belonging&nbsp;to&nbsp;a&nbsp;domain<br>
&nbsp;&nbsp;&nbsp;&nbsp;InlinkData&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Shows&nbsp;the&nbsp;pages&nbsp;from&nbsp;other&nbsp;sites&nbsp;linking&nbsp;in&nbsp;to&nbsp;a&nbsp;page</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#fffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="yahoo.search.dom.html">yahoo.search.dom</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>(<a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.site.html#PageData">PageData</a>
</font></dt><dt><font face="helvetica, arial"><a href="yahoo.search.dom.site.html#UpdateNotification">UpdateNotification</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="PageData">class <strong>PageData</strong></a>(<a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#PageData">PageData</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;<a href="#PageData">PageData</a>&nbsp;results<br>
&nbsp;<br>
Each&nbsp;result&nbsp;is&nbsp;a&nbsp;dictionary&nbsp;populated&nbsp;with&nbsp;the&nbsp;extracted&nbsp;data&nbsp;from&nbsp;the<br>
XML&nbsp;results.&nbsp;The&nbsp;following&nbsp;keys&nbsp;are&nbsp;always&nbsp;available:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Title&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;title&nbsp;of&nbsp;the&nbsp;web&nbsp;page.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;the&nbsp;web&nbsp;page.<br>
&nbsp;&nbsp;&nbsp;&nbsp;ClickUrl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;linking&nbsp;to&nbsp;the&nbsp;page.<br>
&nbsp;<br>
&nbsp;<br>
Example:<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;=&nbsp;ws.<a href="#PageData-parse_results">parse_results</a>(dom)<br>
&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;results:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;"%s&nbsp;-&nbsp;%s"&nbsp;%&nbsp;(res.Title,&nbsp;res.Url)<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.site.html#PageData">PageData</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>:<br>
<dl><dt><a name="PageData-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>This&nbsp;is&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;all&nbsp;Yahoo&nbsp;Search&nbsp;services.&nbsp;It<br>
expects&nbsp;to&nbsp;find&nbsp;a&nbsp;top-level&nbsp;node&nbsp;named&nbsp;ResultSet.&nbsp;This&nbsp;is&nbsp;the&nbsp;main<br>
entry&nbsp;point&nbsp;for&nbsp;the&nbsp;DOM&nbsp;parser,&nbsp;and&nbsp;it&nbsp;requires&nbsp;a&nbsp;properly&nbsp;con-<br>
structed&nbsp;DOM&nbsp;object&nbsp;(e.g.&nbsp;using&nbsp;minidom).</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="PageData-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="PageData-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Properties inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_first_result_position(self)</dt><dd><tt>Get&nbsp;the&nbsp;first&nbsp;result&nbsp;position.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_first_result_position(self)</dt><dd><tt>Get&nbsp;the&nbsp;first&nbsp;result&nbsp;position.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_results(self)</dt><dd><tt>Get&nbsp;the&nbsp;results.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_service(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;for&nbsp;this&nbsp;DOM&nbsp;parser.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_service(self, service)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;for&nbsp;this&nbsp;DOM&nbsp;parser.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_total_results_available(self)</dt><dd><tt>Get&nbsp;the&nbsp;total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_total_results_returned(self)</dt><dd><tt>Get&nbsp;the&nbsp;number&nbsp;of&nbsp;results&nbsp;returned.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_total_results_available(self)</dt><dd><tt>Get&nbsp;the&nbsp;total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_total_results_returned(self)</dt><dd><tt>Get&nbsp;the&nbsp;number&nbsp;of&nbsp;results&nbsp;returned.</tt></dd></dl>
</dd>
</dl>
<hr>
Data and other attributes inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong> = &lt;dictproxy object&gt;<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dl>

<dl><dt><strong>__weakref__</strong> = &lt;attribute '__weakref__' of 'ResultParser' objects&gt;<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dl>

</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="UpdateNotification">class <strong>UpdateNotification</strong></a>(<a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#UpdateNotification">UpdateNotification</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Site&nbsp;Update&nbsp;Notification<br>
&nbsp;<br>
The&nbsp;return&nbsp;value&nbsp;for&nbsp;this&nbsp;is&nbsp;always&nbsp;a&nbsp;list&nbsp;with&nbsp;one&nbsp;single<br>
element,&nbsp;a&nbsp;dictionary&nbsp;with<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Success&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Did&nbsp;we&nbsp;succeed&nbsp;or&nbsp;not&nbsp;(True&nbsp;or&nbsp;False)<br>
&nbsp;&nbsp;&nbsp;&nbsp;Error&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;In&nbsp;case&nbsp;of&nbsp;a&nbsp;failure,&nbsp;the&nbsp;error&nbsp;message<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.site.html#UpdateNotification">UpdateNotification</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="UpdateNotification-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>Internal&nbsp;method&nbsp;to&nbsp;parse&nbsp;one&nbsp;Result&nbsp;node</tt></dd></dl>

<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="UpdateNotification-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="UpdateNotification-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Properties inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_first_result_position(self)</dt><dd><tt>Get&nbsp;the&nbsp;first&nbsp;result&nbsp;position.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_first_result_position(self)</dt><dd><tt>Get&nbsp;the&nbsp;first&nbsp;result&nbsp;position.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_results(self)</dt><dd><tt>Get&nbsp;the&nbsp;results.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_service(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;for&nbsp;this&nbsp;DOM&nbsp;parser.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_service(self, service)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;for&nbsp;this&nbsp;DOM&nbsp;parser.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_total_results_available(self)</dt><dd><tt>Get&nbsp;the&nbsp;total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_total_results_returned(self)</dt><dd><tt>Get&nbsp;the&nbsp;number&nbsp;of&nbsp;results&nbsp;returned.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_total_results_available(self)</dt><dd><tt>Get&nbsp;the&nbsp;total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_total_results_returned(self)</dt><dd><tt>Get&nbsp;the&nbsp;number&nbsp;of&nbsp;results&nbsp;returned.</tt></dd></dl>
</dd>
</dl>
<hr>
Data and other attributes inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong> = &lt;dictproxy object&gt;<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dl>

<dl><dt><strong>__weakref__</strong> = &lt;attribute '__weakref__' of 'ResultParser' objects&gt;<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dl>

</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>__author__</strong> = 'Leif Hedstrom &lt;leif@ogre.com&gt;'<br>
<strong>__date__</strong> = 'Wed Feb 28 16:21:14 MST 2007'<br>
<strong>__revision__</strong> = '$Id: site.py,v 1.3 2007/02/28 23:21:30 zwoop Exp $'<br>
<strong>__version__</strong> = '$Revision: 1.3 $'</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#7799ee">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Author</strong></big></font></td></tr>
    
<tr><td bgcolor="#7799ee"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%">Leif&nbsp;Hedstrom&nbsp;&lt;leif@ogre.com&gt;</td></tr></table>
</body></html>